Loading...
Searching...
No Matches
UCPTrie Struct Reference

Immutable Unicode code point trie structure. More...

`#include <ucptrie.h>`

## Detailed Description

Immutable Unicode code point trie structure.

Fast, reasonably compact, map from Unicode code points (U+0000..U+10FFFF) to integer values. For details see https://icu.unicode.org/design/struct/utrie

Do not access UCPTrie fields directly; use public functions and macros. Functions are easy to use: They support all trie types and value widths.

When performance is really important, macros provide faster access. Most macros are specific to either "fast" or "small" tries, see UCPTrieType. There are "fast" macros for special optimized use cases.

The macros will return bogus values, or may crash, if used on the wrong type or value width.

See also
  UMutableCPTrie

Stable
  ICU 63

Definition at line 59 of file ucptrie.h.

The documentation for this struct was generated from the following file:

- common/unicode/ucptrie.h